curl --request GET \
--url https://api.extole.io/v6/webhooks/{webhook_id}/built \
--header 'Authorization: <api-key>'import requests
url = "https://api.extole.io/v6/webhooks/{webhook_id}/built"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.extole.io/v6/webhooks/{webhook_id}/built', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"client_key_id": "<string>",
"component_ids": [
"<string>"
],
"component_references": [
{
"component_id": "<string>",
"socket_names": [
"<string>"
]
}
],
"created_at": "2025-10-24T02:00:00-07:00",
"default_method": "<string>",
"description": "<string>",
"enabled": true,
"id": "<string>",
"name": "<string>",
"request": {
"headers": {},
"method": "<string>",
"url": "<string>",
"urlTemplateParameters": {},
"body": "<string>"
},
"response_handler": "<string>",
"retry_intervals": [
"PT42S"
],
"tags": [
"<string>"
],
"type": "CLIENT",
"updated_at": "2025-10-24T02:00:00-07:00",
"url": "<string>"
}Get a built webhook
Returns the fully evaluated (built) runtime form of the supplied webhook, with all evaluatable fields resolved. Returns 400 webhook_not_found if the id does not exist or is not accessible.
Authorizations
Path Parameters
Response
Built webhook.
- Option 1
- Option 2
- Option 3
- Option 4
webhook after buildtime evaluation. Fields name, url, client_key_id, request, response_handler, enabled, description, default_method, and retry_intervals are already evaluated.
Show child attributes
Show child attributes
RFC 3339 or RFC 9557 date-time with a numeric UTC offset and an optional IANA time-zone suffix in square brackets. Precision up to milliseconds.
^\d{4}-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}(\.\d{1,3})?(Z|[+-](?:[01][0-9]|2[0-3]):[0-5][0-9])(\[[^\]]+\])?$"2025-10-24T02:00:00-07:00"
The request as configured: a literal value, or an expression (type:string) when defined dynamically. Runtime expressions use WebhookRuntimeContext.
Show child attributes
Show child attributes
if no webhook response status is provided, we will retry non 2xx webhook requests. Runtime expressions use WebhookResponseContext.
RFC 5545 duration string.
^[-+]?P(?:(?:[-+]?[0-9]+D)(?:T(?=(?:[-+]?[0-9]+H|[-+]?[0-9]+M|[-+]?[0-9]+(?:[.,][0-9]*)?S))(?:[-+]?[0-9]+H)?(?:[-+]?[0-9]+M)?(?:[-+]?[0-9]+(?:[.,][0-9]*)?S)?)?|T(?=(?:[-+]?[0-9]+H|[-+]?[0-9]+M|[-+]?[0-9]+(?:[.,][0-9]*)?S))(?:[-+]?[0-9]+H)?(?:[-+]?[0-9]+M)?(?:[-+]?[0-9]+(?:[.,][0-9]*)?S)?)$CLIENT RFC 3339 or RFC 9557 date-time with a numeric UTC offset and an optional IANA time-zone suffix in square brackets. Precision up to milliseconds.
^\d{4}-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}(\.\d{1,3})?(Z|[+-](?:[01][0-9]|2[0-3]):[0-5][0-9])(\[[^\]]+\])?$"2025-10-24T02:00:00-07:00"
